﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Silverlight.Chart;
using Infragistics.Controls.Lists;

namespace TilesWCharts
{
   
    public partial class MainPage : UserControl
    {
    
        public MainPage()
        {
            InitializeComponent();
                  
        }

        private void xamTileView1_Loaded(object sender, RoutedEventArgs e)
        {
            Series s;
            
            for (int i = 0; i < xamTileView1.Items.Count; i++)
            {
                ObservableCollection<ChartPoint>  ChartData = new ObservableCollection<ChartPoint>();
                ChartData.Add(new ChartPoint() { Value = 20, Label = "Point 1" });
                ChartData.Add(new ChartPoint() { Value = 40, Label = "Point 2" });
                ChartData.Add(new ChartPoint() { Value = 70, Label = "Point 3" });


                s = new Series();
                s.DataSource = ChartData;
                s.DataMapping="Value = Value; Label=Label";
                 
                TilePane tp = xamTileView1.Items[i];
                if ((i % 2) == 0)
                {
                    s.Label = "Pie Chart";
                    s.ChartType = ChartType.Pie;
                }
                else
                {
                    s.Label = "Bar Chart";
                    s.ChartType = ChartType.Bar;
                }
                XamWebChart c = (XamWebChart)tp.Content;
                c.Series.Add(s);
            }
        
            
        }

        
    }

    

    public class ChartPoint : INotifyPropertyChanged
    {
        private int _val;
        private string _label;

        public int Value
        {
            get { return _val; }
            set
            {
                if (_val != value)
                {
                    _val = value;
                    OnPropertyChanged("Value");
                }
            }
        }

        public string Label
        {
            get { return _label; }
            set
            {
                if (_label != value)
                {
                    _label = value;
                    OnPropertyChanged("Label");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }
}
